body , html {
  height: 100vh;
  padding: 0;
  margin: 0;
}
:root {
    --background: #e7e5e369;
    --grass: #b7ccdd;
    --font: black;
    --palefont: #79606A;
    --Hilight: #526d98;
}
body {
  max-width: 700px;
  margin: 0 auto;
  padding-top: 2rem;
  font-family: "Apple SD Gothic Neo", "游ゴシック体", "YuGothic", "游ゴシック Medium", "Yu Gothic Medium", sans-serif;
  color: var(--font);
  background-color: var(--background);
}
a {
  text-decoration: none;
  color: var(--font);
}
header {
  display: flex;
  flex-flow: column;
  align-items: center;
  height: 85px;
}
.site-name {
  font-size: 25px;
  margin: 0;
  font-weight: bold;
  text-decoration: none;
}
.tab {
  font-size: 17px;
  margin: 15px 0 0 0;
}
.tab span, .rest {
  padding: 5px 10px;
  margin: 0 7px;
  border-radius: 7px;
}
.tab span{
  background-color: var(--Hilight);
  color: white;
  font-weight: bold;
}
.rest {
  background-color: var(--grass);
  border: 1px solid var(--grass);
}
.btn {
    display: flex;
    font-size: 16px;
    justify-content: center;
    flex-direction: column;
    align-items: flex-start;
}
summary {
  display: block;
  list-style: none;
}
summary::-webkit-details-marker {
  display:none;
}
#about {
  width: 20px;
  height: auto;
  padding: 10px;
}
#search {
  width: 19px;
  height: auto;
  padding: 10px;
}
#text-link {
  text-decoration: underline;
}
#banner {
  height: 30px;
  width: 150px;
}
#banner a {
  display: block;
}
h2 {
  margin-top: 8px;
  margin-bottom: 0;
  font-size: 18px;
  font-weight: bold;
  color: var(--Hilight);
}
button{
  background-color: transparent;
  border: none;
  cursor: pointer;
  outline: none;
  padding: 0;
  appearance: none;
  font-size: 15px;
  color: var(--font);
}
#all, .categories button.bold {
  font-weight: bold;
}

main {
  margin: 2em;
}
@media screen and (max-width: 480px) {
  main {
    margin: 1em;
  }
}
@media screen and (max-width: 369px) {
  .btn {
    font-size: 14px;
  }
}
@media screen and (max-width: 280px) {
  .tab span, .rest, .btn {
    margin: 5px;
  }
  #about {
    width: 18px;
    height: auto;
  }
  #search {
    width: 17px;
    height: auto;
  }
}

.article-wrapper {
  /*リストを左寄せ*/
  padding-left: 0;
}
.article-wrapper li {
  list-style: none;
    /*リストごとの隙間をつくる*/
  margin: 30px 0;
}
.item p {
  line-height: 1.5em;
  letter-spacing: 0.04em;
}
.tab, details p {
  line-height: normal;
}
item a {
  display: inline-block;
}
h1 {
  font-size: 18px;
  margin: 0;
  font-weight: semibold;
}
.tag {
  font-size: 15px;
  margin-top: 5px;
  color: var(--Hilight);
}

@media screen and (max-width: 369px) {
  h1 {
    font-size: 14px;
  }
}
@media screen and (max-width: 280px) {
  h1, .tag {
    font-size: 12px;
  }
}

footer {
  display: flex;
  flex-flow: column;
  align-items: center;
  height: 90px;
}
.copyright {
  font-size: 17px;
  padding: 15px 10px 30px 10px;
}

aside {
    .searchinputs {
        display: flex;
    }
}


aside {
    section > div, section > nav:not(:empty), section form:not(:empty) {
        margin-bottom: 1rem;
    }
}
select, input.queryinput, input.passkeyinput {
    background-color: #fff;
    border: 1px solid #333;
    border-radius: var(--radius-mini) 0 0 var(--radius-mini);
    color: var #333;
    height: 2rem;
    width: calc(100% - 4rem);
    margin-right: 0.25rem;
}
input[type="submit"], input[type="button"], .postarea 
input[type="text"] {
    background-color: #b7ccdd;
    border: transparent;
    color: #333;
    cursor: pointer;
    font-size: 0.7rem;
    height: 2rem;
    letter-spacing: 2px;
    padding: 0 0.5rem 0 0.6rem;
}

article.logstatus-fixed {
    border: 1px solid #d8d0d0;
    padding-bottom: 0.1rem;
    border-radius: 5px;
    background: #f0f0f0;
    margin-bottom: 50px;
}

.dateseparator {
    display: none;
}

.onelogbox {
    border-bottom: 1px dashed #555;
    padding: 0 15px;
    padding-top: 35px;
}

/* ================================================================ */
/* てがろぐVer 4.5.5β以降で使える、カード型リンク用CSSの抜粋です。 */
/* お使いのスキンのCSSに追記するなどしてご活用下さい。              */
/* ================================================================ */

	/* ---------------------- */
	/* ▼カード型リンクの装飾 */
	/* ---------------------- */
	.cardlink {
		display: inline-block;
		width: 100%;
		max-width: 500px;               /* 最大幅 (※横幅を制限したくない場合はこれを削除して下さい) */
		padding: 0 0.25em 0.5em 0;      /* 内側の余白量 */
		font-size: 0.9rem;              /* 文字サイズ */
		text-decoration: none;          /* リンク文字の下線を消す */
		vertical-align: middle;         /* 行内の上下方向では中央配置 */
	}

		/* ------------------------------------- */
		/* リンクカードの装飾(サイズS/L共通部分) */		/* ※後述の「サイズS用の追記」や「サイズL用の追記」と合わせて、1つのカードデザインになります。 */
		/* ------------------------------------- */
		/* カード外枠 */
		.cardlinkbox {
			border: 1px solid #ccc;    /* 枠線 */
			border-radius: 7px;        /* 角丸 */
			background-color: white;   /* 背景色 */
			display: flex;             /* 内部レイアウトのFlexbox化 */
		}
		/* (マウスが載ったとき) */
		.cardlinkbox:hover {
			background-color: #f5fff5; /* 背景色 */
			border-color: #8c8;        /* 枠線色 */
		}
			/* ▽リンクカード内の画像枠 (※読み込まれたog:imageは、この枠に《背景画像として》描画されます) */
			.cardlinkimage {
				background-image: linear-gradient(-30deg, #8a8, #e0f0e0);  /* プレースホルダ的な背景グラデーション(※og:imageの画像指定が読み込まれたら、この値は上書きされます) */
				background-size: cover;             /* 背景画像で枠を埋める */
				background-position: center center; /* 背景画像を中央に寄せる */
				background-repeat: no-repeat;       /* 背景画像を繰り返さない */
			}
			/* ▽リンクカード内のテキスト枠 */
			.cardlinktextbox {
				display: flex;          /* Flexbox化 */
				flex-direction: column; /* 子要素を縦方向に並べる */
				padding: 0.5em 1em;     /* 内側の余白量 */
			}
				/* ▽リンクカードのテキスト枠内の3要素共通 */
				.cardlinktitle,
				.cardlinkdescription,
				.cardlinkurl {
					/* ↓表示行数を制限するための準備 (※システム側では文字数は制限せずに「記述されている全文字」をHTMLに出力しますので、表示分量を制限したい場合はCSSで制御する必要があります。) */
					display: -webkit-box;          /* -webkit-line-clampを使うために必要な記述1 ※A */
					-webkit-box-orient: vertical;  /* -webkit-line-clampを使うために必要な記述2 ※A */
					overflow: hidden;              /* 表示量を制限する場合に必須の記述 */
					/* ↓制限の仕様 */
					line-clamp: 1;                 /* 1行だけ見せる (将来的にはこれだけで実現可能かも) */
					-webkit-line-clamp: 1;         /* 1行だけ見せる (今のブラウザにはこちらが必要で、そのためには上記「※A」も必要) */
					text-overflow: ellipsis;       /* 省略記号(三点リーダー) */
				}
				/* リンクタイトル */
				.cardlinktitle {
					padding-bottom: 0.25em;        /* 内側下端の余白量 */
				}
				/* リンク概要文 */
				.cardlinkdescription {
					line-height:1.3;               /* 行の高さ */
					color:#555;                    /* 文字色 */
					line-clamp: 2;                 /* (既存指定の上書き) 最大2行まで見せる */
					-webkit-line-clamp: 2;         /* (既存指定の上書き) 最大2行まで見せる */
				}
				/* リンクドメイン */
				.cardlinkurl {
					color: #999;                   /* 文字色 */
				}

		/* ----------------------------------- */
		/* リンクカードの装飾(サイズS用の追記) */		/* 前述の「サイズS/L共通部分」と合わせて、1つのカードデザインになります。 */
		/* ----------------------------------- */
		.cardsize-S {
			flex-direction: row;                /* 画像とテキストは横に並べる(Flexbox) */
		}
			/* ▽リンクカード内の画像枠 */
			.cardsize-S .cardlinkimage {
				min-width: 100px;           /* 最小の横幅 */
				min-height: 100px;          /* 最小の高さ */
				border-radius: 6px 0 0 6px; /* 左側だけ角丸 */
				flex-shrink: 0;             /* 枠サイズを自動縮小させない */
			}
			/* ▽リンクカード内のテキスト枠 */
			.cardsize-S .cardlinktextbox {
				border-left: 1px solid #ccc; /* 左側の枠線 */
				justify-content:center;      /* Flexboxの上下方向での中央寄せ */
			}
				/* ▽リンクカードのテキスト枠内の3要素 */
				.cardsize-S .cardlinktitle { order: 2; }        /* タイトルは、2番目に表示 */
				.cardsize-S .cardlinkdescription { order: 3; }  /* 概要文　は、3番目に表示 */
				.cardsize-S .cardlinkurl { order: 1; }          /* ドメインは、1番上に表示 */

		/* ----------------------------------- */
		/* リンクカードの装飾(サイズL用の追記) */		/* 前述の「サイズS/L共通部分」と合わせて、1つのカードデザインになります。 */
		/* ----------------------------------- */
		.cardsize-L {
			flex-direction: column;             /* 画像とテキストは縦に並べる(Flexbox) */
		}
			/* ▽リンクカード内の画像枠 */
			.cardsize-L .cardlinkimage {
				aspect-ratio: 1.91 / 1;     /* 画像枠の縦横比を指定= (横)1.91：(縦)1 */
				width: 100%;                /* 横幅は枠最大に拡げる */
				height: auto;               /* 高さは自動計算 */
				border-radius: 6px 6px 0 0; /* 上側だけ角丸 */
			}
			/* ▽リンクカード内のテキスト枠 */
			.cardsize-L .cardlinktextbox {
				border-top: 1px solid #ccc; /* 上側の枠線 */
			}
				/* ▽リンクカードのテキスト枠内の3要素 */
				.cardsize-L .cardlinktitle { font-weight: bold; }        /* 太字 */
				.cardsize-L .cardlinkdescription { min-height: 2.5em; }  /* 内容量が少ない場合でも一定の高さを確保 */
				.cardsize-L .cardlinkurl {
					border-top: 1px solid #ddd;  /* 上側の枠線 */
					margin-top:0.5em;            /* 上側の枠線より上の余白量 */
					padding-top:0.5em;           /* 上側の枠線より下の余白量 */
					font-size:0.75rem;           /* 文字サイズ(小さめ) */
				}

    body.mode-view article .comment {
    q.decorationQ {
        background-color: #fff;
        padding: 1em 2em;
        font-size: 0.9rem;
        margin: 0.5em 0;
        position: relative;
    }
}